<?
ob_start();
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("include/antixak.php");
include 'include/ini.php';
$_title = 'Linewap2';
include 'include/sesi.php';
include 'include/header.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
if (isset($user)) {
include 'include/udata.php';
$file=@file("MySql/base123/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);
if($data[4]=="Wolf Flate"){

$time=time();

if(!@file("MySql/base123/wolf/$log.dat")){

$text="1000||$time||on||";

$fp=fopen("MySql/base123/wolf/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/wolf/$log.dat", 0666);
}else{

$file=@file("MySql/base123/wolf/$log.dat");
$data = explode("||",$file[0]);

$text="$data[0]||$time||on||";
$fp=fopen("MySql/base123/wolf/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/wolf/$log.dat", 0666);

}
}}

echo"<small>Волк успешно вызван.</small>";


}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>
